Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452601 - Review Request: perl-Business-CreditCard - Validate/generate credit card checksums/names
Summary: Review Request: perl-Business-CreditCard - Validate/generate credit card che...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 244947 (view as bug list)
Depends On:
Blocks: F-Spacewalk
TreeView+ depends on / blocked
 
Reported: 2008-06-24 00:20 UTC by Michael Stahnke
Modified: 2011-07-26 12:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-26 18:10:43 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Michael Stahnke 2008-06-24 00:20:56 UTC
Spec URL: http://stahnma.fedorapeople.org/reviews/perl-Business-CreditCard.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/perl-Business-CreditCard-0.30-1.fc9.src.rpm
Description: 
These subroutines tell you whether a credit card number is self-consistent
-- whether the last digit of the number is a valid checksum for the
preceding digits.


Note: To find license, I had to look in the actual Perl pm file.

Comment 1 Jason Tibbitts 2008-06-24 00:45:49 UTC
*** Bug 244947 has been marked as a duplicate of this bug. ***

Comment 2 Michael Stahnke 2008-06-24 03:26:23 UTC
Tibbs, since the other bug was closed without ever CVS branching, will this one
be reviewed or could we just branch the other one?  I can maintain either way.



Comment 3 Jason Tibbitts 2008-06-24 16:59:03 UTC
FYI, it's just SOP to close old dead reviews as duplicates of new ones.  If I
can get a few minutes I'll go ahead and review this package; it should be trivial.

Comment 4 Jason Tibbitts 2008-06-24 18:46:26 UTC
The copyright in the .pm file says the usual "Same as Perl", so the License: tag
should be "GPL+ or Artistic" as indicated in
http://fedoraproject.org/wiki/Licensing.  Yes, even though Artistic alone is not
acceptable for Fedora, people who get the software from us are still welcome to
use the software under those terms

Honestly, that's the only issue; you can just fix it when you check in.

* source files match upstream:
   1a052afd178419057dff025b8ea3ad003ab110bce270359d3af70ad18664e055  
   Business-CreditCard-0.30.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Business::CreditCard) = 0.30
   perl-Business-CreditCard = 0.30-1.fc10
  =
   perl >= 1:5
   perl(:MODULE_COMPAT_5.10.0)
   perl(Exporter)
   perl(vars)

* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED; just fix up the License: tag when you check in.

Comment 5 Michael Stahnke 2008-06-24 19:13:26 UTC
New Package CVS Request
=======================
Package Name:   perl-Business-CreditCard 
Short Description: Validate/generate credit card checksums/names
Owners: stahnma
Branches:F8, F9, EL4, EL5
InitialCC:
Cvsextras Commits: Yes


Comment 6 Kevin Fenzi 2008-06-25 00:18:00 UTC
cvs done.

Comment 7 Fedora Update System 2008-07-03 14:05:31 UTC
perl-Business-CreditCard-0.30-1.fc8 has been submitted as an update for Fedora 8

Comment 8 Fedora Update System 2008-07-03 14:06:27 UTC
perl-Business-CreditCard-0.30-1.fc9 has been submitted as an update for Fedora 9

Comment 9 Fedora Update System 2008-07-04 03:39:06 UTC
perl-Business-CreditCard-0.30-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Business-CreditCard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6084

Comment 10 Fedora Update System 2008-07-09 02:40:44 UTC
perl-Business-CreditCard-0.30-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-07-09 02:54:47 UTC
perl-Business-CreditCard-0.30-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-07-26 05:59:51 UTC
perl-Business-CreditCard-0.30-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Petr Pisar 2011-07-26 08:19:41 UTC
Package Change Request
======================
Package Name: perl-Business-CreditCard
Branches: f14 f15
New InitialCC: perl-sig

Please add `perl-sig' pseudo-user to InitialCC group for all Fedora branches.
This cannot be done by maintainer through pkgdb interface.

Comment 14 Gwyn Ciesla 2011-07-26 12:02:32 UTC
See 226258.


Note You need to log in before you can comment on or make changes to this bug.